org.apache.commons.configuration2.resolver

## Class CatalogResolver.Catalog

- java.lang.Object
- - org.apache.xml.resolver.Catalog
  - - org.apache.commons.configuration2.resolver.CatalogResolver.Catalog

- Enclosing class:
    CatalogResolver

      public static class CatalogResolver.Catalog
      extends org.apache.xml.resolver.Catalog

  Overrides the Catalog implementation to use the underlying FileSystem.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xml.resolver.Catalog

      `base, BASE, CATALOG, catalogCwd, catalogEntries, catalogFiles, catalogManager, catalogs, default_override, DELEGATE_PUBLIC, DELEGATE_SYSTEM, DELEGATE_URI, DOCTYPE, DOCUMENT, DTDDECL, ENTITY, LINKTYPE, localCatalogFiles, localDelegate, NOTATION, OVERRIDE, PUBLIC, readerArr, readerMap, REWRITE_SYSTEM, REWRITE_URI, SGMLDECL, SYSTEM, SYSTEM_SUFFIX, URI, URI_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Catalog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `loadSystemCatalogs()` Load the catalogs.
    `protected String` | `normalizeURI(String uriref)` Performs character normalization on a URI reference.
    `void` | `parseCatalog(String baseDir, String fileName)` Parses the specified catalog file.

    - ### Methods inherited from class org.apache.xml.resolver.Catalog

      `addDelegate, addEntry, addReader, copyReaders, encodedByte, fixSlashes, getCatalogManager, getCurrentBase, getDefaultOverride, makeAbsolute, newCatalog, parseAllCatalogs, parseCatalog, parseCatalog, parseCatalog, parseCatalogFile, parsePendingCatalogs, resolveDoctype, resolveDocument, resolveEntity, resolveLocalPublic, resolveLocalSystem, resolveLocalURI, resolveNotation, resolvePublic, resolveSubordinateCatalogs, resolveSystem, resolveURI, setCatalogManager, setupReaders, unknownEntry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Catalog

          public Catalog()

  - ### Method Detail

    - #### loadSystemCatalogs

          public void loadSystemCatalogs()
                                  throws IOException

      Load the catalogs.
      Overrides:
        `loadSystemCatalogs` in class `org.apache.xml.resolver.Catalog`
      Throws:
        `IOException` - if an error occurs.

    - #### parseCatalog

          public void parseCatalog(String baseDir,
                                   String fileName)
                            throws IOException

      Parses the specified catalog file.
      Parameters:
        `baseDir` - The base directory, if not included in the file name.
        `fileName` - The catalog file. May be a full URI String.
      Throws:
        `IOException` - If an error occurs.

    - #### normalizeURI

          protected String normalizeURI(String uriref)

      Performs character normalization on a URI reference.
      Overrides:
        `normalizeURI` in class `org.apache.xml.resolver.Catalog`
      Parameters:
        `uriref` - The URI reference
      Returns:
        The normalized URI reference.

Copyright © 2001–2022 The Apache Software Foundation. All rights reserved.